Bug 53377 - GRUB loops, printing
GRUB loops, printing
Product: Red Hat Public Beta
Classification: Retired
Component: grub (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2001-09-07 13:43 EDT by GeoffLeach
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-09-29 20:13:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description GeoffLeach 2001-09-07 13:43:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.3) Gecko/20010803

Description of problem:
There are 3 SCSI HDs and no IDE on this system.  Motherboard is Intel Venus
with a PPro.  The SCSI controller is an Adaptec 29160N

The BIOS is set to boot from ID 1, which has a freshly-installed RedHat
(7.1.94). SCSI ID 0 has a LILO

The fstab looks like this (parted output available if its essetial)
LABEL=/                 /                       ext3    defaults        1 1
LABEL=/boot             /boot                   ext3    defaults        1 2
/dev/sdb2               /dosc                   vfat    noauto          0 0
/dev/sdb3               swap                    swap    defaults        0 0
(The root partition is /dev/sdb5)

Grub (grub-0.90-9) is installed in /boot/grub, and /boot is a partition.

# grub.conf generated by anaconda
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /boot/, eg.
#          root (hd1,0)
#          kernel /vmlinuz-version ro root=/dev/sdb5
#          initrd /initrd-version.img
title Red Hat Linux (2.4.7-2)
        root (hd1,0)
        kernel /vmlinuz-2.4.7-2 ro root=/dev/sdb5
        initrd /initrd-2.4.7-2.img
title DOS
        rootnoverify (hd1,1)
        chainloader +1

# this device map was generated by anaconda
(fd0)     /dev/fd0
(hd1)     /dev/sdb

This is also reproducable with the INT 13 extension turned off in the BIOS.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install from CD
2.Change Boot ID to 1
3.Continue booting

Actual Results:  As described above

Expected Results:  System should boot

Additional info:
Comment 1 Jeremy Katz 2001-09-29 20:13:33 EDT
If you're trying to boot from the drive which is ID1 (but is the active boot
drive according to the BIOS), switch everything in /boot/grub/grub.conf and
/boot/grub/device.map which refers to (hd1) to use (hd0) instead and see if that
works better
Comment 2 Jeremy Katz 2001-11-28 20:52:01 EST
Closing due to lack of activity.  If you have any further information, please
reopen the bug.

Note You need to log in before you can comment on or make changes to this bug.